Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.inference
Class TestUtils

    java.lang.Object
      org.apache.commons.math.stat.inference.TestUtils

    public class TestUtils

extends Object

A collection of static methods to create inference test instances or to perform inference tests.

The set methods are not compatible with using the class in multiple threads, and have therefore been deprecated (along with the getters). The setters and getters will be removed in version 3.0.

Since:
  1.1
Version:
  $Revision: 1067582 $ $Date: 2011-02-06 04:55:32 +0100 (dim. 06 fÃ©vr. 2011) $

Constructor Summary
`protected` | `TestUtils()` Prevent instantiation.

Method Summary
`static double` | `chiSquare(double[] expected, long[] observed)`
`static double` | `chiSquare(long[][] counts)`
`static double` | `chiSquareDataSetsComparison(long[] observed1, long[] observed2)`
`static double` | `chiSquareTest(double[] expected, long[] observed)`
`static boolean` | `chiSquareTest(double[] expected, long[] observed, double alpha)`
`static double` | `chiSquareTest(long[][] counts)`
`static boolean` | `chiSquareTest(long[][] counts, double alpha)`
`static double` | `chiSquareTestDataSetsComparison(long[] observed1, long[] observed2)`
`static boolean` | `chiSquareTestDataSetsComparison(long[] observed1, long[] observed2, double alpha)`
`static ChiSquareTest` | `getChiSquareTest()` Deprecated. 2.2 will be removed in 3.0
`static OneWayAnova` | `getOneWayAnova()` Deprecated. 2.2 will be removed in 3.0
`static TTest` | `getTTest()` Deprecated. 2.2 will be removed in 3.0
`static UnknownDistributionChiSquareTest` | `getUnknownDistributionChiSquareTest()` Deprecated. 2.2 will be removed in 3.0
`static double` | `homoscedasticT(double[] sample1, double[] sample2)`
`static double` | `homoscedasticT(StatisticalSummary sampleStats1, StatisticalSummary sampleStats2)`
`static double` | `homoscedasticTTest(double[] sample1, double[] sample2)`
`static boolean` | `homoscedasticTTest(double[] sample1, double[] sample2, double alpha)`
`static double` | `homoscedasticTTest(StatisticalSummary sampleStats1, StatisticalSummary sampleStats2)`
`static double` | `oneWayAnovaFValue(Collection<double[]> categoryData)`
`static double` | `oneWayAnovaPValue(Collection<double[]> categoryData)`
`static boolean` | `oneWayAnovaTest(Collection<double[]> categoryData, double alpha)`
`static double` | `pairedT(double[] sample1, double[] sample2)`
`static double` | `pairedTTest(double[] sample1, double[] sample2)`
`static boolean` | `pairedTTest(double[] sample1, double[] sample2, double alpha)`
`static void` | `setChiSquareTest(ChiSquareTest chiSquareTest)` Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads
`static void` | `setChiSquareTest(TTest chiSquareTest)` Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads
`static void` | `setOneWayAnova(OneWayAnova oneWayAnova)` Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads
`static void` | `setUnknownDistributionChiSquareTest(UnknownDistributionChiSquareTest unknownDistributionChiSquareTest)` Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads
`static double` | `t(double[] sample1, double[] sample2)`
`static double` | `t(double mu, double[] observed)`
`static double` | `t(double mu, StatisticalSummary sampleStats)`
`static double` | `t(StatisticalSummary sampleStats1, StatisticalSummary sampleStats2)`
`static double` | `tTest(double[] sample1, double[] sample2)`
`static boolean` | `tTest(double[] sample1, double[] sample2, double alpha)`
`static double` | `tTest(double mu, double[] sample)`
`static boolean` | `tTest(double mu, double[] sample, double alpha)`
`static double` | `tTest(double mu, StatisticalSummary sampleStats)`
`static boolean` | `tTest(double mu, StatisticalSummary sampleStats, double alpha)`
`static double` | `tTest(StatisticalSummary sampleStats1, StatisticalSummary sampleStats2)`
`static boolean` | `tTest(StatisticalSummary sampleStats1, StatisticalSummary sampleStats2, double alpha)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestUtils

    protected TestUtils()

  Prevent instantiation.

Method Detail

### setChiSquareTest

    @Deprecated
    public static void setChiSquareTest(TTest chiSquareTest)

  Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads

  Set the (singleton) TTest instance.

  Parameters:
    `chiSquareTest` - the new instance to use
  Since:
    1.2

### getTTest

    @Deprecated
    public static TTest getTTest()

  Deprecated. 2.2 will be removed in 3.0

  Return a (singleton) TTest instance. Does not create a new instance.

  Returns:
    a TTest instance

### setChiSquareTest

    @Deprecated
    public static void setChiSquareTest(ChiSquareTest chiSquareTest)

  Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads

  Set the (singleton) ChiSquareTest instance.

  Parameters:
    `chiSquareTest` - the new instance to use
  Since:
    1.2

### getChiSquareTest

    @Deprecated
    public static ChiSquareTest getChiSquareTest()

  Deprecated. 2.2 will be removed in 3.0

  Return a (singleton) ChiSquareTest instance. Does not create a new instance.

  Returns:
    a ChiSquareTest instance

### setUnknownDistributionChiSquareTest

    @Deprecated
    public static void setUnknownDistributionChiSquareTest(UnknownDistributionChiSquareTest unknownDistributionChiSquareTest)

  Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads

  Set the (singleton) UnknownDistributionChiSquareTest instance.

  Parameters:
    `unknownDistributionChiSquareTest` - the new instance to use
  Since:
    1.2

### getUnknownDistributionChiSquareTest

    @Deprecated
    public static UnknownDistributionChiSquareTest getUnknownDistributionChiSquareTest()

  Deprecated. 2.2 will be removed in 3.0

  Return a (singleton) UnknownDistributionChiSquareTest instance. Does not create a new instance.

  Returns:
    a UnknownDistributionChiSquareTest instance

### setOneWayAnova

    @Deprecated
    public static void setOneWayAnova(OneWayAnova oneWayAnova)

  Deprecated. 2.2 will be removed in 3.0 - not compatible with use from multiple threads

  Set the (singleton) OneWayAnova instance

  Parameters:
    `oneWayAnova` - the new instance to use
  Since:
    1.2

### getOneWayAnova

    @Deprecated
    public static OneWayAnova getOneWayAnova()

  Deprecated. 2.2 will be removed in 3.0

  Return a (singleton) OneWayAnova instance. Does not create a new instance.

  Returns:
    a OneWayAnova instance
  Since:
    1.2

### homoscedasticT

    public static double homoscedasticT(double[] sample1,
                                        double[] sample2)
                                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.homoscedasticT(double[], double[])`

### homoscedasticT

    public static double homoscedasticT(StatisticalSummary sampleStats1,
                                        StatisticalSummary sampleStats2)
                                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.homoscedasticT(org.apache.commons.math.stat.descriptive.StatisticalSummary, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### homoscedasticTTest

    public static boolean homoscedasticTTest(double[] sample1,
                                             double[] sample2,
                                             double alpha)
                                      throws IllegalArgumentException,
                                             MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.homoscedasticTTest(double[], double[], double)`

### homoscedasticTTest

    public static double homoscedasticTTest(double[] sample1,
                                            double[] sample2)
                                     throws IllegalArgumentException,
                                            MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.homoscedasticTTest(double[], double[])`

### homoscedasticTTest

    public static double homoscedasticTTest(StatisticalSummary sampleStats1,
                                            StatisticalSummary sampleStats2)
                                     throws IllegalArgumentException,
                                            MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.homoscedasticTTest(org.apache.commons.math.stat.descriptive.StatisticalSummary, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### pairedT

    public static double pairedT(double[] sample1,
                                 double[] sample2)
                          throws IllegalArgumentException,
                                 MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.pairedT(double[], double[])`

### pairedTTest

    public static boolean pairedTTest(double[] sample1,
                                      double[] sample2,
                                      double alpha)
                               throws IllegalArgumentException,
                                      MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.pairedTTest(double[], double[], double)`

### pairedTTest

    public static double pairedTTest(double[] sample1,
                                     double[] sample2)
                              throws IllegalArgumentException,
                                     MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.pairedTTest(double[], double[])`

### t

    public static double t(double mu,
                           double[] observed)
                    throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.t(double, double[])`

### t

    public static double t(double mu,
                           StatisticalSummary sampleStats)
                    throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.t(double, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### t

    public static double t(double[] sample1,
                           double[] sample2)
                    throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.t(double[], double[])`

### t

    public static double t(StatisticalSummary sampleStats1,
                           StatisticalSummary sampleStats2)
                    throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `TTest.t(org.apache.commons.math.stat.descriptive.StatisticalSummary, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### tTest

    public static boolean tTest(double mu,
                                double[] sample,
                                double alpha)
                         throws IllegalArgumentException,
                                MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double, double[], double)`

### tTest

    public static double tTest(double mu,
                               double[] sample)
                        throws IllegalArgumentException,
                               MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double, double[])`

### tTest

    public static boolean tTest(double mu,
                                StatisticalSummary sampleStats,
                                double alpha)
                         throws IllegalArgumentException,
                                MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double, org.apache.commons.math.stat.descriptive.StatisticalSummary, double)`

### tTest

    public static double tTest(double mu,
                               StatisticalSummary sampleStats)
                        throws IllegalArgumentException,
                               MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### tTest

    public static boolean tTest(double[] sample1,
                                double[] sample2,
                                double alpha)
                         throws IllegalArgumentException,
                                MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double[], double[], double)`

### tTest

    public static double tTest(double[] sample1,
                               double[] sample2)
                        throws IllegalArgumentException,
                               MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(double[], double[])`

### tTest

    public static boolean tTest(StatisticalSummary sampleStats1,
                                StatisticalSummary sampleStats2,
                                double alpha)
                         throws IllegalArgumentException,
                                MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(org.apache.commons.math.stat.descriptive.StatisticalSummary, org.apache.commons.math.stat.descriptive.StatisticalSummary, double)`

### tTest

    public static double tTest(StatisticalSummary sampleStats1,
                               StatisticalSummary sampleStats2)
                        throws IllegalArgumentException,
                               MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `TTest.tTest(org.apache.commons.math.stat.descriptive.StatisticalSummary, org.apache.commons.math.stat.descriptive.StatisticalSummary)`

### chiSquare

    public static double chiSquare(double[] expected,
                                   long[] observed)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `ChiSquareTest.chiSquare(double[], long[])`

### chiSquare

    public static double chiSquare(long[][] counts)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  See Also:
    `ChiSquareTest.chiSquare(long[][])`

### chiSquareTest

    public static boolean chiSquareTest(double[] expected,
                                        long[] observed,
                                        double alpha)
                                 throws IllegalArgumentException,
                                        MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `ChiSquareTest.chiSquareTest(double[], long[], double)`

### chiSquareTest

    public static double chiSquareTest(double[] expected,
                                       long[] observed)
                                throws IllegalArgumentException,
                                       MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `ChiSquareTest.chiSquareTest(double[], long[])`

### chiSquareTest

    public static boolean chiSquareTest(long[][] counts,
                                        double alpha)
                                 throws IllegalArgumentException,
                                        MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `ChiSquareTest.chiSquareTest(long[][], double)`

### chiSquareTest

    public static double chiSquareTest(long[][] counts)
                                throws IllegalArgumentException,
                                       MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  See Also:
    `ChiSquareTest.chiSquareTest(long[][])`

### chiSquareDataSetsComparison

    public static double chiSquareDataSetsComparison(long[] observed1,
                                                     long[] observed2)
                                              throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`
  Since:
    1.2
  See Also:
    `UnknownDistributionChiSquareTest.chiSquareDataSetsComparison(long[], long[])`

### chiSquareTestDataSetsComparison

    public static double chiSquareTestDataSetsComparison(long[] observed1,
                                                         long[] observed2)
                                                  throws IllegalArgumentException,
                                                         MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  Since:
    1.2
  See Also:
    `UnknownDistributionChiSquareTest.chiSquareTestDataSetsComparison(long[], long[])`

### chiSquareTestDataSetsComparison

    public static boolean chiSquareTestDataSetsComparison(long[] observed1,
                                                          long[] observed2,
                                                          double alpha)
                                                   throws IllegalArgumentException,
                                                          MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  Since:
    1.2
  See Also:
    `UnknownDistributionChiSquareTest.chiSquareTestDataSetsComparison(long[], long[], double)`

### oneWayAnovaFValue

    public static double oneWayAnovaFValue(Collection<double[]> categoryData)
                                    throws IllegalArgumentException,
                                           MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  Since:
    1.2
  See Also:
    `OneWayAnova.anovaFValue(Collection)`

### oneWayAnovaPValue

    public static double oneWayAnovaPValue(Collection<double[]> categoryData)
                                    throws IllegalArgumentException,
                                           MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  Since:
    1.2
  See Also:
    `OneWayAnova.anovaPValue(Collection)`

### oneWayAnovaTest

    public static boolean oneWayAnovaTest(Collection<double[]> categoryData,
                                          double alpha)
                                   throws IllegalArgumentException,
                                          MathException

  Throws:
    `IllegalArgumentException`
    `MathException`
  Since:
    1.2
  See Also:
    `OneWayAnova.anovaTest(Collection,double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.